DCMTK - Feature #400

Riickverweis auf Vater-Knoten wére niitzlich
2012-04-17 12:41 - Jorg Riesmeier

Status: Closed Start date: 2012-04-17
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: dcmdata Compiler:

Operating System:

Description

Momentan gibt es im dcmdata-Baum nur Verweise vom Vater- (parent) zu den Kindknoten (children). Ein Rickverweis auf das
umgebende ltem/Dataset bzw. SequenceOfltems wére jedoch fir einige Anwendungen ebenfalls hilfreich.

Siehe auch: http://forum.dcmtk.org/viewtopic.php?t=3407

History

#1 - 2012-04-24 08:57 - Jorg Riesmeier
- Assignee set to Jérg Riesmeier

- Priority changed from Low to Normal

Hier wére ein Patch-Vorschlag: http:/sprunge.us/jJeB?diff

Um die entsprechenden Tests kimmert Uli sich bereits.

#2 - 2012-05-03 16:03 - Jorg Riesmeier

... und hier die Uberarbeitete Fassung des Patches, die auch die Klasse DcmDirectoryRecord (ebenfalls von Dcmltem abgeleitet) beriicksichtigt:
http://sprunge.us/XCCH?diff

#3 - 2012-05-07 11:52 - J6rg Riesmeier

- Status changed from New to Closed

Die notwendigen Anderungen sind nun eingecheckt. Die entsprechenden Tests kommen von Uli.
